<?php

class MailboxLocaleLang extends HordeLocaleLang {
  
  function MailboxLocaleLang () {
    $this->HordeLocaleLang();
  }
  
  function error ($current_mbox, $action) {
    global $lang;
    
    $action_text = $lang->$action;
    return "Mailbox: $current_mbox: Error: Message $action_text Failed";
  }
  
  function success1 ($current_mbox, $action, $num, $plural = false) {
    global $lang;
    
    if ($plural) $messages = 'Messages';
    else $messages = 'Message';
    
    $action_text = $lang->$action;
    return "Mailbox: $current_mbox: $action_text $num $messages";
  }
  
  function success2 ($current_mbox, $targetMbox, $action, $num, $plural = false) {
    global $lang;
    
    if ($plural) $messages = 'Messages';
    else $messages = 'Message';
    
    $action_text = $lang->$action;
    return "Mailbox: $current_mbox: $action_text $num $messages to $targetMbox";
  }
  
  function pagenav ($page, $page_count) {
    global $this_client;
    if ($this_client == '') { $this_client = new WebClient; }
    
    if ($this_client->lynx) {
      return "Page $page of $page_count";
    } else {
      $len = strlen($page_count);
      return "<input type=\"text\" name=\"page\" value=\"$page\" size=$len> of $page_count";
    }
  }
  
  function overview ($begin, $end, $nummsgs) {
    if ($nummsgs == 0) {
      return "0 Messages";
    } else if ($nummsgs == 1) {
      return "1 Message";
    } else {
      return "$begin - $end of $nummsgs Messages";
    }
  }
}

$lang = new MailboxLocaleLang();
require './locale/en/openwin.lang';

$lang->delete_link = 'Delete';
$lang->undelete_link = 'Undelete';
$lang->move_link = 'Move';
$lang->copy_link = 'Copy';
$lang->selected_mail = 'selected mail';

$lang->sort_by_label =  'Sort By';
$lang->date_label = 'Date';
$lang->from_label = 'From';
$lang->subject_label = 'Subject';
$lang->size_label = 'Size';
$lang->to_label = 'To';

$lang->select_all = 'Select all';
$lang->select_none = 'Select none';
$lang->hide_deleted = 'Hide Deleted';
$lang->show_deleted = 'Show Deleted';
$lang->empty_trash = 'Expunge';

$lang->no_subject = '[No subject]';
$lang->undisclosed_recipients = 'Undisclosed Recipients';
$lang->mailbox = 'Mailbox';

$lang->message = 'Message';
$lang->messages = 'Messages';

$lang->deletion = 'Deletion';
$lang->deleted = 'Deleted';
$lang->undeletion = 'Undeletion';
$lang->undeleted = 'Undeleted';
$lang->move = 'Move';
$lang->moved = 'Moved';
$lang->copy = 'Copy';
$lang->copied = 'Copied';
$lang->expunge = 'Expunge';
$lang->expunged = 'Expunged';
$lang->hiding_deleted = 'Hiding Deleted Messages';
$lang->showing_deleted = 'Showing Deleted Messages';
$lang->deleted_summary = 'deleted message(s) hidden from listing';
$lang->empty_mailbox = 'There are no messages in this mailbox.';
$lang->no_messages_selected = 'You must select at least one message first.';

$lang->reverse_sort = 'Reverse (recent or largest to oldest or smallest) sort order.';

$lang->refresh = 'Refresh Mailbox';
$lang->alert_really_delete = 'Are you sure you wish to PERMANENTLY delete these messages?';
$lang->first_page = 'First Page';
$lang->prev_page = 'Previous Page';
$lang->next_page = 'Next Page';
$lang->last_page = 'Last Page';
$lang->no_mailbox_selected = 'You must a select a target mailbox first.';
?>
